
QGIS Application - Bug report #8737

QgsRasterTerrainAnalysisPlugin: check QgsRelief::processRaster() returned value

2013-10-01 07:21 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17452

Description

QgsRasterTerrainAnalysisPlugin gives to QgsRelief layer URI as inputFile, QgsRelief simply opens it as GDAL file and it fails in case of

WCS.

QgsRasterTerrainAnalysisPlugin does not check QgsRelief::processRaster() returned value and probably tries to add result as new layer,

which fails and gives an error message.

Related issues:

Related to QGIS Application - Bug report # 8736: Update raster analyses: acce... Closed 2013-10-01

History

#1 - 2016-05-24 11:07 PM - Alexander Bruy

- Category changed from Rasters to 119

#2 - 2017-01-02 01:11 AM - Giovanni Manghi

- Category changed from 119 to Analysis library

#3 - 2017-01-02 01:27 AM - Giovanni Manghi

- Target version set to Version 3.0

#4 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-02-24 01:53 PM - Paolo Cavallini

- Description updated

Still true in QGIS3

#6 - 2018-02-24 01:59 PM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to 3.0.0

Paolo Cavallini wrote:

Still true in QGIS3

Please update the affected version!
